diff options
author | jsing <> | 2014-12-12 12:23:35 +0000 |
---|---|---|
committer | jsing <> | 2014-12-12 12:23:35 +0000 |
commit | 0012c1a3c02aeb298228bfaac96cfded7ea02875 (patch) | |
tree | 1c02a5f1220a9b4f36bab8869ab8a70167b62f1c /src | |
parent | a810d50157a5aade6b309b589d822250908867fd (diff) | |
download | openbsd-0012c1a3c02aeb298228bfaac96cfded7ea02875.tar.gz openbsd-0012c1a3c02aeb298228bfaac96cfded7ea02875.tar.bz2 openbsd-0012c1a3c02aeb298228bfaac96cfded7ea02875.zip |
Increase cipher suite test coverage by including all cipher suites that
use RSA authentication, rather than only those that use RSA key exchange.
Diffstat (limited to 'src')
-rw-r--r-- | src/regress/lib/libssl/ssl/testssl | 10 |
1 files changed, 5 insertions, 5 deletions
diff --git a/src/regress/lib/libssl/ssl/testssl b/src/regress/lib/libssl/ssl/testssl index 379ddfcc50..04f82a9da1 100644 --- a/src/regress/lib/libssl/ssl/testssl +++ b/src/regress/lib/libssl/ssl/testssl | |||
@@ -77,7 +77,7 @@ $ssltest -bio_pair -server_auth -client_auth -app_verify $CA $extra || exit 1 | |||
77 | echo "Testing ciphersuites" | 77 | echo "Testing ciphersuites" |
78 | for protocol in SSLv3 TLSv1.2; do | 78 | for protocol in SSLv3 TLSv1.2; do |
79 | echo "Testing ciphersuites for $protocol" | 79 | echo "Testing ciphersuites for $protocol" |
80 | for cipher in `$openssl ciphers "RSA+$protocol" | tr ':' ' '`; do | 80 | for cipher in `$openssl ciphers "$protocol+aRSA" | tr ':' ' '`; do |
81 | echo "Testing $cipher" | 81 | echo "Testing $cipher" |
82 | prot="" | 82 | prot="" |
83 | if [ $protocol = "SSLv3" ] ; then | 83 | if [ $protocol = "SSLv3" ] ; then |
@@ -85,8 +85,8 @@ for protocol in SSLv3 TLSv1.2; do | |||
85 | fi | 85 | fi |
86 | $ssltest -cipher $cipher $prot | 86 | $ssltest -cipher $cipher $prot |
87 | if [ $? -ne 0 ] ; then | 87 | if [ $? -ne 0 ] ; then |
88 | echo "Failed $cipher" | 88 | echo "Failed $cipher" |
89 | exit 1 | 89 | exit 1 |
90 | fi | 90 | fi |
91 | done | 91 | done |
92 | done | 92 | done |
@@ -138,8 +138,8 @@ for protocol in SSLv3; do | |||
138 | echo "Testing $cipher" | 138 | echo "Testing $cipher" |
139 | $ssltest -cipher $cipher -dtls1 | 139 | $ssltest -cipher $cipher -dtls1 |
140 | if [ $? -ne 0 ] ; then | 140 | if [ $? -ne 0 ] ; then |
141 | echo "Failed $cipher" | 141 | echo "Failed $cipher" |
142 | exit 1 | 142 | exit 1 |
143 | fi | 143 | fi |
144 | done | 144 | done |
145 | done | 145 | done |